Get Migration Status

Gets information on the artifact migrations that were performed.

This API retrieves information similar to that contained in the Migration Status report. See Generating the Migration Status Report in Administering Migration.

Required Roles

Service Administrator

REST Resource

GET /interop/rest/v2/migration/status

Response

Parameter Description
action Migration operation type (export or import).
duration The time taken for the action
status Migration status. Can be Completed, Completed with warning, Failed, or In Progress.
user The user name of the user who initiated the migration.
snapshot The name or identifier of the snapshot that was used for the migration.
endtime The time when the migration process finished (based on the browser time zone ).
startTime Time when the migration process started (based on the browser time zone).
destination The name of the destination business process or component.
source The name of the source business process or component.
status Processing status for this specific migration. Can be processed, ongoing, or loading.
report Array of migration report entries. Each entry includes processing status and any errors and warnings.
errors Array of errors for this report entry. Empty array ([]) if no errors were reported.
warnings Array of warnings for this report entry. Empty array ([]) if no warnings were reported.
artifact Artifact path or identifier associated with the message.
msg Detailed warning or error message text.

Successful response body example:


{
  "status": 0,
  "items": [
    {
      "action": "export",
      "duration": "00:00:03",
      "report": [
        {
          "destination": "Document Repository",
          "errors": [],
          "source": "DOCREP-Document Repository",
          "status": "processed",
          "warnings": []
        },
        {
          "destination": "Shared Services",
          "errors": [],
          "source": "HSS-Shared Services",
          "status": "processed",
          "warnings": []
        }
      ],
      "status": "completed",
      "user": "SYSTEM",
      "snapshot": "epm_default_cloud_admin 19-02-26",
      "endTime": "02/19/2026 03:41:42",
      "startTime": "02/19/2026 03:41:39"
    },
    {
      "action": "import",
      "duration": "00:00:34",
      "report": [
        {
          "destination": "Shared Services",
          "errors": [],
          "source": "epm_default_cloud_admin 26-01-279/HSS-Shared Services",
          "status": "processed",
          "warnings": []
        },
        {
          "destination": "Vision",
          "errors": [],
          "source": "epm_default_cloud_admin 26-01-279/HP-Vision",
          "status": "processed",
          "warnings": [
            {
              "code": "EPMLCM-15000",
              "text": "Warning reported from Hyperion Planning.",
              "msgList": [
                {
                  "artifact": "/Essbase Data/Plan1",
                  "msg": "Essbase data import is only supported during create application."
                },
                {
                  "artifact": "/Relational Data/Insights",
                  "msg": "Insight data import is only supported during create application."
                }
              ]
            }
          ]
        }
      ],
      "status": "completedWithWarnings",
      "user": "SYSTEM",
      "snapshot": "epm_default_cloud_admin 26-01-279",
      "endTime": "02/18/2026 04:26:05",
      "startTime": "02/18/2026 04:25:31"
    }
  ],
  "links": [
    {
      "href": "http://<BASE-URL>/interop/rest/v2/migration/status",
      "action": "GET",
      "rel": "self"
    }
  ]
}

Response body for failed operation:


{
    "status": 6,
    "details": "Unable to fetch migration status",
    "items": null,
    "links": [
        {
            "href": "http://<BASE-URL>/interop/rest/v2/migration/status",
            "action": "POST",
            "rel": "self"
        }
    ]
}